<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Introduction</title>
	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

	<h1 class="text-primary text-center">Hello World! Feat. Bootstrap</h1>
	<h2 class="text-danger bg-secondary text-center">Bootstrap Makes CSS Easier</h2>
	<div class="bg-dark">
		<h2 class="text-center">Classes for Text Color</h2>
		<p class="text-primary">Primary</p>
		<p class="text-danger">Danger</p>
		<p class="text-success">Success</p>
		<p class="text-secondary">Secondary</p>
		<p class="text-warning">Warning</p>
		<p class="text-info">Info</p>
	</div>
	<div class="bg-secondary">
		<h2 class="text-center">Text Color Classes Continued</h2>
		<p class="text-light">Light</p>
		<p class="text-dark">Dark</p>
		<p class="text-white">White</p>
	</div>
	<div class="text-center">
		<h2>Classes for Background Colors</h2>
		<div class="bg-primary">BG Primary</div>
		<div class="bg-secondary">BG Secondary</div>
		<div class="bg-danger">BG Danger</div>
		<div class="bg-success">BG Success</div>
		<div class="bg-dark text-white p-5">BG Dark</div>
		<div class="bg-white text-dark">BG White</div>
		<div class="bg-transparent text-white">BG Transparent</div>
	</div>
	<div class="mt-5 p-3 bg-warning">Bootstrap has its own responsive paddings and margins. Wherein the classes are: m stands for margin and p stands for padding.
	</div>
	<div class="bg-primary my-5 px-4 text-white">
		<h4 class="text-center">Bootstrap Padding and Margins can be applied to specific sides</h4>
		<ul>
			<li>t - sets either margin or padding at the top side of the element: mt or pt</li>
			<li>b - sets either margin or padding at the bottom side of the element: mb or pb</li>
			<li>x - sets the margin or padding at the left AND right side of the element: mx or px</li>
			<li>y - sets either margin or padding at the top and bottom side of the element: my or py</li>
			<li>l - sets either margin or padding at the left side of the element: ml or pl</li>
			<li>r - sets either margin or padding at the right side of the element: mr or pr</li>
			<li>blank - sets margin or padding on all sides: m or p</li>
		</ul>
	</div>
	<!-- To add a border in bootstrap, we add the class border. It will add subtle border which can be set in any of our element side. However, this border will be gray and subtle. So, we add the proper color to the border. -->
	<div class="border border-dark bg-info mb-5 px-3 text-dark">
		<h4 class="text-center">Bootstrap padding and margin has sizes from 0 to 5 and auto</h4>
		<ul>
			<li>0 - sets the margin or padding to 0</li>
			<li>1 - sets either margin or padding to .25rem or 4px if the root element font size is 16.</li>
			<li>2 - sets either margin or padding to .5rem or 8px if the root element font size is 16px.</li>
			<li>3 - sets either margin or padding to 1rem or 16px if the root element font size is 16px.</li>
			<li>4 - sets either margin or padding to 1.5rem or 24px if the root element font size is 16px.</li>
			<li>5 - sets either margin or padding to 3rem or 48px if the root element font size is 16px.</li>
			<li>auto - sets automatically calculated margin based on the amount of space left.</li>
		</ul>
	</div>
		
	<div class="border border-dark mt-5 p-4">Div With Dark Border</div>
	<div class="border border-yellow mt-3 p-3 bg-secondary">Div with Warning Border</div>


	<div class="bg-dark p-3 my-3">
		<h2 class="text-center text-white">Bootstrap Links</h2>
		<a href="#" class="text-center text-success text-decoration-none">This link is Green.</a>
		<a href="#" class="text-danger">This link is Red.</a>
		<a href="#" class="text-warning">This link is Yellow.</a>
		<a href="#" class="btn btn-primary">I am a link</a>
	</div>

	<div class="p-3 bg-secondary text-center">
		<h2>Bootstrap Buttons</h2>
		<button class="btn">No Color</button>
		<button class="btn btn-danger">Btn Danger</button>
		<button class="btn btn-success">Btn Success</button>
		<button class="btn btn-primary">Btn Primary</button>
		<button class="btn btn-outline-danger">Btn Danger Outline</button>
		<button class="btn btn-outline-primary">Btn Primary Outline</button>
	</div>

</body>
	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>